Windows-GUI: compilation with MinGW
25 Sep 2014 11:13 - Anna Maria Bigatti

Status: In Progress Start date: 25 Sep 2014
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 20%
Category: Portability Estimated time: 10.00 hours
Target version: CoCoA-5.2.7 Spent time: 2.60 hours
Description

Instructions on how to compile with MinGW (including GUI)

Related issues:
Related to CoCoA - Support #266: Compilation on M$Windows: cygwin Closed 17 Oct 2012

History

#1 - 25 Sep 2014 13:43 - Anna Maria Bigatti
- % Done changed from 0 to 10

(Following and updating Jan Limbeck's notes)

Download QT 5.3.2 32 Bit with MlnGW compller

: t-i Download MSys and integrate
with QT MmGW
http://www.mingw.org/wiki/msys
(downloading/using mingw-get-setup.exe)

#2 - 25 Sep 2014 13:44 - Anna Maria Bigatti
- % Done changed from 10 to 20
- Estimated time set to 10.00 h

== Download and unpack GMP 6.0.0a
https://gmplib.org/download/gmp/gmp-6.0.0a.tar.lz

(might need to install zlib1.dll in windows libs)
J/configure --enable-fat --enable-cxx

make

make check

make install

#3 - 25 Sep 2014 14:35 - Anna Maria Bigatti

= Download and unpack Boost 1.56
http://sourceforge.net/projects/boost/files/boost/1.56.0/

start bootstrap.bat gcc
/b2 install toolset=gcc --with-system --with-thread --with-filesystem --build-type=minimal stage
http://download.qt-project.org/official_releases/qt/5.3/5.3.2/qt-opensource-windows-x86-mingw482_opengl-5.3.2.exe
http://www.mingw.org/wiki/msys
https://gmplib.org/download/gmp/gmp-6.0.0a.tar.lz
http://sourceforge.net/projects/boost/files/boost/1.56.0/

#4 - 16 Feb 2016 16:06 - John Abbott
- Target version changed from CoCoA-5.1.2 summer 2015 to CoCoA-5.1.3/4 Jan 2016

| have changed the target version for this issue; | suppose it is more or less permanent (i.e. has to be reconsidered for every release?)

#5 - 16 Feb 2016 16:07 - John Abbott

- Status changed from New to In Progress

#6 - 17 Feb 2016 10:56 - Anna Maria Bigatti
- Target version changed from CoCoA-5.1.3/4 Jan 2016 to CoCoA-5.2.0 spring 2017

#7 - 28 Apr 2017 09:17 - Anna Maria Bigatti
- Target version changed from CoCoA-5.2.0 spring 2017 to CoCoA-5.2.2

#8 - 01 Dec 2017 18:31 - Anna Maria Bigatti
- Target version changed from CoCoA-5.2.2 to CoCoA-5.7.?

#9 - 19 Mar 2024 22:21 - Nico Mexis
- File Screenshot 2024-03-19 215205.png added

| know it has been quite some time, but | have made some progress on this: Even the GUI works for me!
However, there are still some caveats and many tweaks one needs to make in CoCoA's sources.

Most prominently: The SignalWatcher needs to be pretty much completely disabled - however that is only the tip of the iceberg.

I will try to find cross-platform solutions for all the issues | encountered and let John know.
